STKDrummer
Prev | Orchestra Opcodes and Operators | Next

## STKDrummer

STKDrummer — STKDrummer is a drum sampling synthesizer.

## Description

Plugin opcode in stkopd. This opcode is part of the plugin repository and has to be installed separately. The plugin repository can be found here: https://github.com/csound/plugins

STKDrummer is a drum sampling synthesizer using raw waves and one-pole filters, The drum rawwave files are sampled at 22050 Hz, but will be appropriately interpolated for other sample rates.

## Syntax

    asignal STKDrummer ifrequency, iamplitude

## Initialization

ifrequency -- Samples being played.

iamplitude -- Amplitude of note played (range 0-1).

| Note
The code for this opcode is taken directly from the Drummer class in the Synthesis Toolkit in C++ by Perry R. Cook and Gary P. Scavone. More on the STK classes can be found here: https://ccrma.stanford.edu/software/stk/classes.html

## Examples

Here is an example of the STKDrummer opcode. It uses the file STKDrummer.csd.

Example 1020. Example of the STKDrummer opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac      -M0  ;;;realtime audio out and midi in
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o STKDrummer.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1	;STK Drummer - has no controllers but plays samples (11)

    icps	cpsmidi
    iamp	ampmidi	1
    asig	STKDrummer icps, iamp
    	outs asig, asig
    endin

    </CsInstruments>
    <CsScore>
    ; play 5 minutes
    f0 300
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

STK Opcodes

## Credits

Author: Michael Gogins (after Perry Cook)
Irreducible Productions
New York, NY

New in Csound version 5.11

Prev | Up | Next
STKClarinet | Home | STKFlute